_Ecore_Event_Mouse_Move Struct Reference
Ecore Input

Contains information about an Ecore mouse move event. More...

`#include <Ecore_Input.h>`

## Data Fields

Ecore_Window | window
| The main window where event happened.
Ecore_Window | root_window
| The root window where event happened.
Ecore_Window | event_window
| The child window where event happened.
unsigned int | timestamp
| Time when the event occurred.
unsigned int | modifiers
| The combination of modifiers key (SHIFT,CTRL,ALT,..).
int | same_screen
| Same screen flag.
int | x
| x coordinate relative to window where event happened
int | y
| y coordinate relative to window where event happened
struct { |
int x |
int y |
} | root
| Coordinates relative to root window.
struct { |
int device |
| 0 if normal mouse, 1+ for other mouse-devices (eg multi-touch - other fingers)
double radius |
double radius_x |
double radius_y |
| radius of press point - radius_x and y if its an ellipse (radius is the average of the 2)
double pressure |
| pressure - 1.0 == normal, > 1.0 == more, 0.0 == none
double angle |
| angle relative to perpendicular (0.0 == perpendicular), in degrees
double x |
double y |
| same as x, y root.x, root.y, but with sub-pixel precision, if available
struct { |
double x |
double y |
} root
} | multi
Eo * | dev
| The Efl_Input_Device that originated the event.

## Detailed Description

Contains information about an Ecore mouse move event.

## Field Documentation

## dev

Eo* _Ecore_Event_Mouse_Move::dev

The Efl_Input_Device that originated the event.

Since
  1.19